import React from 'react';
import { Modal } from 'antd';
import FormList from './formList.js';

var openFormList = function openFormList(data, _onSelect) {
  var modal = Modal.info({
    icon: null,
    content: React.createElement(FormList, {
      onSelect: function onSelect(args) {
        _onSelect(args);

        modal.destroy();
      },
      data: data
    }),
    width: 600,
    onOk: function onOk() {
      return modal.destroy();
    }
  });
};

export default openFormList;
