export default BooleanField;
declare function BooleanField(props: any): JSX.Element;
declare namespace BooleanField {
    export const propTypes: {
        schema: PropTypes.Validator<object>;
        uiSchema: PropTypes.Requireable<object>;
        idSchema: PropTypes.Requireable<object>;
        onChange: PropTypes.Validator<(...args: any[]) => any>;
        formData: PropTypes.Requireable<boolean>;
        required: PropTypes.Requireable<boolean>;
        disabled: PropTypes.Requireable<boolean>;
        readonly: PropTypes.Requireable<boolean>;
        autofocus: PropTypes.Requireable<boolean>;
        registry: PropTypes.Requireable<PropTypes.InferProps<{
            widgets: PropTypes.Validator<{
                [x: string]: object | null | undefined;
            }>;
            fields: PropTypes.Validator<{
                [x: string]: ((...args: any[]) => any) | null | undefined;
            }>;
            definitions: PropTypes.Validator<object>;
            formContext: PropTypes.Validator<object>;
        }>>;
        rawErrors: PropTypes.Requireable<(string | null | undefined)[]>;
    };
    export const defaultProps: {
        uiSchema: {};
        disabled: boolean;
        readonly: boolean;
        autofocus: boolean;
    };
}
import PropTypes from "prop-types";
