import React from 'react';
import { inherits as _inherits, createClass as _createClass, slicedToArray as _slicedToArray, classCallCheck as _classCallCheck, possibleConstructorReturn as _possibleConstructorReturn, getPrototypeOf as _getPrototypeOf } from '../../_virtual/_rollupPluginBabelHelpers.js';
import { connect } from 'react-redux';
import Form from '@ofm/ofm-jsonschema-form';

var FormView =
/*#__PURE__*/
function (_React$Component) {
  _inherits(FormView, _React$Component);

  function FormView() {
    _classCallCheck(this, FormView);

    return _possibleConstructorReturn(this, _getPrototypeOf(FormView).apply(this, arguments));
  }

  _createClass(FormView, [{
    key: "render",
    value: function render() {
      if (!this.props.schema) {
        return null;
      }

      var _this$props = this.props,
          schema = _this$props.schema,
          uiSchema = _this$props.uiSchema,
          formData = _this$props.formData,
          setFormData = _this$props.setFormData,
          liveValidate = _this$props.liveValidate;
      console.log('uiSchema: ', uiSchema);
      return React.createElement(Form, {
        key: Math.random(),
        schema: schema,
        uiSchema: uiSchema,
        formData: formData,
        onChange: setFormData
      });
    }
  }]);

  return FormView;
}(React.Component);

var FormView$1 = connect(function (_ref) {
  var _ref$tree$present = _slicedToArray(_ref.tree.present, 1),
      _ref$tree$present$ = _ref$tree$present[0],
      name = _ref$tree$present$.name,
      schema = _ref$tree$present$.schema,
      uiSchema = _ref$tree$present$.uiSchema,
      formData = _ref.formData,
      isLiveValidate = _ref.settings.isLiveValidate;

  return {
    name: name,
    schema: schema,
    uiSchema: uiSchema,
    formData: formData,
    liveValidate: isLiveValidate
  };
}, function (dispatch) {
  return {
    setFormData: function setFormData(_ref2) {
      var formData = _ref2.formData;
      return dispatch({
        type: 'FORM_DATA_SET',
        payload: formData
      });
    }
  };
})(FormView);

export default FormView$1;
