import React from 'react';
import ReactDOM from 'react-dom';
import './index.css';
import App from './App';
import * as serviceWorker from './serviceWorker';
import { schema, uiSchema } from './config';

const data = [{
  id: 1,
  name: 'Empty Form',
  schema: { type: 'object' },
  uiSchema: {}
}, {
  id: 2,
  name: 'Shift Event Form',
  schema,
  uiSchema,
}];
 
function console(type, c) {
  window.console.log(`${type}:`, c);
}

let list = null;

setTimeout(() => {
  list = data;
}, 3000);

ReactDOM.render(<App data={list} onSave={(c) => console('save', c)} onCreate={(c) => console('create', c)} />, document.getElementById('root'));

// If you want your app to work offline and load faster, you can change
// unregister() to register() below. Note this comes with some pitfalls.
// Learn more about service workers: https://bit.ly/CRA-PWA
serviceWorker.unregister();
