declare namespace _default {
    export const schema: {
        type: string;
        properties: {
            basic: {
                type: string;
                title: string;
                properties: {
                    object: {
                        type: string;
                        title: string;
                        properties: {};
                    };
                    text: {
                        type: string;
                        title: string;
                    };
                    checkbox: {
                        type: string;
                        title: string;
                    };
                    checkboxes: {
                        type: string;
                        title: string;
                        items: {
                            type: string;
                            enum: string[];
                        };
                        uniqueItems: boolean;
                    };
                    dropdown: {
                        type: string;
                        title: string;
                        enum: string[];
                        enumNames: string[];
                    };
                    number: {
                        type: string;
                        title: string;
                    };
                    textarea: {
                        type: string;
                        title: string;
                    };
                    datetime: {
                        type: string;
                        title: string;
                    };
                };
            };
        };
    };
    export namespace uiSchema {
        import basic_1 = uiSchema;
        export { basic_1 as basic };
    }
}
export default _default;
declare namespace basic {
    const schema_1: {
        type: string;
        title: string;
        properties: {
            object: {
                type: string;
                title: string;
                properties: {};
            };
            text: {
                type: string;
                title: string;
            };
            checkbox: {
                type: string;
                title: string;
            };
            checkboxes: {
                type: string;
                title: string;
                items: {
                    type: string;
                    enum: string[];
                };
                uniqueItems: boolean;
            };
            dropdown: {
                type: string;
                title: string;
                enum: string[];
                enumNames: string[];
            };
            number: {
                type: string;
                title: string;
            };
            textarea: {
                type: string;
                title: string;
            };
            datetime: {
                type: string;
                title: string;
            };
        };
    };
    export { schema_1 as schema };
    export namespace uiSchema_1 {
        export const textarea: {
            'ui:widget': string;
        };
        export const datetime: {
            'ui:widget': string;
        };
        export const checkboxes: {
            'ui:widget': string;
        };
    }
    export { uiSchema_1 as uiSchema };
}
