import React from 'react';
import ReactDOM from 'react-dom';
import { schema, uiSchema } from './config.js';
import App from './App.js';
import { unregister } from './serviceWorker.js';

var data = [{
  id: 1,
  name: 'Empty Form',
  schema: {
    type: 'object'
  },
  uiSchema: {}
}, {
  id: 2,
  name: 'Shift Event Form',
  schema: schema,
  uiSchema: uiSchema
}];

function console(type, c) {
  window.console.log("".concat(type, ":"), c);
}

var list = null;
setTimeout(function () {
  list = data;
}, 3000);
ReactDOM.render(React.createElement(App, {
  data: list,
  onSave: function onSave(c) {
    return console('save', c);
  },
  onCreate: function onCreate(c) {
    return console('create', c);
  }
}), document.getElementById('root')); // If you want your app to work offline and load faster, you can change
// unregister() to register() below. Note this comes with some pitfalls.
// Learn more about service workers: https://bit.ly/CRA-PWA

unregister();
