import React from 'react';
import { slicedToArray as _slicedToArray } from '../../_virtual/_rollupPluginBabelHelpers.js';
import { connect } from 'react-redux';
import JsonEditor from '../JsonEditor.js';

var UiSchemaView = connect(function (_ref) {
  var _ref$tree$present = _slicedToArray(_ref.tree.present, 1),
      uiSchema = _ref$tree$present[0].uiSchema;

  return {
    uiSchema: uiSchema
  };
}, function (dispatch) {
  return {
    setTree: function setTree(uiSchema) {
      return dispatch({
        type: 'TREE_SET_TREE',
        payload: {
          uiSchema: uiSchema
        }
      });
    }
  };
})(function (_ref2) {
  var uiSchema = _ref2.uiSchema,
      setTree = _ref2.setTree;
  return React.createElement(JsonEditor, {
    value: uiSchema,
    onChange: function onChange(value) {
      return setTree(value);
    },
    autosize: true
  });
});

export default UiSchemaView;
